Gecode::Int::GCC::UnReachable Class Reference
Other available functionality » Integer propagators » Support for GCC bounds propagation

Class for computing unreachable values in the value GCC propagator. More...

`#include <bnd-sup.hpp>`

## Public Attributes

int | minb
| Number of variables with lower bound.
int | maxb
| Number of variables with upper bound.
int | eq
| Number of equal variables.
int | le
| Number of smaller variables.
int | gr
| Number of greater variables.

## Detailed Description

Class for computing unreachable values in the value GCC propagator.

Definition at line 53 of file bnd-sup.hpp.

## Member Data Documentation

## minb

int Gecode::Int::GCC::UnReachable::minb

Number of variables with lower bound.

Definition at line 56 of file bnd-sup.hpp.

## maxb

int Gecode::Int::GCC::UnReachable::maxb

Number of variables with upper bound.

Definition at line 58 of file bnd-sup.hpp.

## eq

int Gecode::Int::GCC::UnReachable::eq

Number of equal variables.

Definition at line 60 of file bnd-sup.hpp.

## le

int Gecode::Int::GCC::UnReachable::le

Number of smaller variables.

Definition at line 62 of file bnd-sup.hpp.

## gr

int Gecode::Int::GCC::UnReachable::gr

Number of greater variables.

Definition at line 64 of file bnd-sup.hpp.

The documentation for this class was generated from the following file:

- gecode/int/gcc/bnd-sup.hpp